
//  @(#)input.h 1.3 93/11/18
//
//  Contains definitions for class "Input".
//
//  Copyright (c) Steve Holden and Rich Burridge.
//                All rights reserved.
//
//  Permission is given to distribute these sources, as long as the
//  copyright messages are not removed, and no monies are exchanged.
//
//  No responsibility is taken for any errors or inaccuracies inherent
//  either to the comments or the code of this program, but if
//  reported to me then an attempt will be made to fix them.

typedef enum { DO_MAIL, DO_NEWS, DO_TEXT } document_type ;

class Input {
  public:

  char *hdrs[MAXHDRS] ;          // Contents of additional headers.
  char nextline[MAXLINE] ;       // Read-ahead of the mail message, minus nl.
  char *owner ;                  // Name of owner (usually equal to 'to')
  char *whoami ;                 // Login name of user.

  int end_of_file ;          // EOF indicator.
  int end_of_line ;          // Is a newline removed from this line.
  int end_of_page ;          // end-of-page indicator - ^L on input.

  int clen ;                 // Current line length (including newline).
  int linenum ;              // Current line number from input file.
  int mlen ;                 // Number of characters in message (-C option).

  document_type doc_type ;   // Printing type - default mail.

  FILE *ifp ;                // Input file pointer for current file.

       Input              () ;
  void init_setup         (void) ;
  void readline           (void) ;

  private:

  char iobuf[MAXLINE] ;      // Overflow buffer when -wrap is used.
  char *nameptr ;            // Used to getenv the NAME variable.

  int overflow ;             // # of chars of text wraparound if -wrap.
  void process_name_field (char *, char *, int, int) ;
} ;
