
//  @(#)print.h 1.3 93/11/28
//
//  Contains definitions for class "Print".
//
//  Copyright (c) Steve Holden and Rich Burridge.
//                All rights reserved.
//
//  Permission is given to distribute these sources, as long as the
//  copyright messages are not removed, and no monies are exchanged.
//
//  No responsibility is taken for any errors or inaccuracies inherent
//  either to the comments or the code of this program, but if
//  reported to me then an attempt will be made to fix them.

#define  EQUALN(a, b) (*a == *b && !strncmp(a, b, strlen(b)))

#define  MAXTTYPES    4                 // Maximum number of text types.

enum action_type { IS_COL, IS_FILE, IS_LINE, IS_PAGE } ;
enum text_type   { T_BOLD, T_MIXED, T_PLAIN, T_ROMAN } ;

class Print {
  public:

  char curfname[MAXPATHLEN] ;   // Current file being printed.
  char *message_for ;           // "[Mail,News,Listing] for " line.

  int colct ;                   // Column count on current page.
  int linect ;                  // Line count on current page.
  int pageno ;                  // Page number within message.
  int tpn ;                     // Total number of pages printed.

  FILE *ofp ;                   // Output file pointer (stdout or print cmd).

       Print         () ;
  void end           (enum action_type) ;
  FILE *makecmd      (char *) ;
  void print_extra   (void) ;
  void show_prologue (char *) ;
  void show_text     (enum text_type, char *, char *) ;
  void show_trailer  (void) ;
  void start         (enum action_type) ;

  private:
  void do_date       (void) ;
  void expand        (unsigned char *) ;
  void psdef         (char *, char *) ;
  void psdict        (char *, char *) ;
  void set_defs      (void) ;
  void useline       (void) ;
} ;
