
//  @(#)util.C 1.2 93/12/16
//
//  Various utility routines used by mptool.
//
//  Copyright (c) Rich Burridge.    All rights reserved.
//
//  Permission is given to distribute these sources, as long as the
//  copyright messages are not removed, and no monies are exchanged.
//
//  No responsibility is taken for any errors or inaccuracies inherent
//  either to the comments or the code of this program, but if
//  reported to me then an attempt will be made to fix them.

#include "mptool.h"


void Util::
buf_arg(char *buf, char *arg)          // Add arg to output buffer.
{
  STRCAT(buf, " ") ;
  STRCAT(buf, arg) ;
}


// Add arg plus integer to output buffer.

void Util::
buf_int(char *buf, char *arg, int value)
{
  char intval[MAXLINE] ;

  STRCAT(buf, " ") ;
  STRCAT(buf, arg) ;
  STRCAT(buf, " ") ;
  SPRINTF(intval, "%d", value) ;
  STRCAT(buf, intval) ;
}
 
 
// Quote and add string value to output buffer.
 
void Util::
buf_str(char *buf, char *value)
{
  STRCAT(buf, " \"") ;
  STRCAT(buf, value) ;
  STRCAT(buf, "\"") ;
}


char *Util::
concat_strs(char **text)
{
  char buf[BUFFERSIZE], *p ;
  int i ;
 
  p = buf ;
  for (i = 0; text[i]; i++)
    {
      p += strlen(strcpy(p, text[i])) ;
      *p++ = '\n' ;
      *p = 0 ;
    }
  return(buf) ;
}


void Util::
read_str(char **str, char *value)
{
  if (*str != NULL) FREE(*str) ;
  if (value != NULL)
    {
      *str = (char *) malloc((unsigned) (strlen(value) + 1)) ;
      STRCPY(*str, value) ;
    }
  else *str = NULL ;
}

Util::
Util()
{
}
